<?php
namespace Config;



/**
 * A workflow.
 * @author andre.fourie
 */
class Workflow extends \Workspace\Workflow
{

	/**
	 * @var string
	 */
	protected $namespace     = __NAMESPACE__;
	/**
	 * @var string
	 */
	protected $parentFeature = 'Config';
	/**
	 * @var string
	 */
	protected $initState     = false;
	/**
	 * @var string
	 */
	protected $initTrigger   = false;
	/**
	 * @var string
	 */
	protected $primaryEntity = 'Config';
	/**
	 * @var array
	 */
	protected $entityMap = array(
			'Config' => '\Config\Entity\Config'
	);
	/**
	 * @var array
	 */
	protected $linkMap  = array();
	/**
	 * @var array
	 */
	protected $listen   = array();
	/**
	 * @var array
	 */
	protected $reclaim  = array();
	/**
	 * @var array
	 */
	protected $stateMap = array(
			'Active' => array(
				'Actions' => array(
					'Config.Update' => array(),
					'Config.View'   => array(),
				)
			),
    'Global' => array(
				'Actions' => array(
						'RegionalManager.List' => array(),
						'RegionalManager.SelectList' => array(),
						'RegionalManager.JoinedSelectList' => array(),
						'RegionalManager.Create' => array(),
						'RegionalManager.Update' => array(),
						'RegionalManager.Delete' => array(),
				)
			)
	);


}